Bug 75941 - Multiple versions of packages after rpm -Fvh
Summary: Multiple versions of packages after rpm -Fvh
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i586 Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-15 06:42 UTC by Chris Yeo
Modified: 2007-04-18 16:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 19:02:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Yeo 2002-10-15 06:42:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461)

Description of problem:
This may be related to the bug 74726, as I had that problem happen quite a few 
times during manual upgrades (ie rpm -Fvh rpmname).

Here is an example list of RPMS:

LPRng-3.8.9-6
MAKEDEV-3.3.1-2
Omni-0.5.1-3
Omni-0.7.0-6
Omni-foomatic-0.5.1-3
Omni-foomatic-0.7.0-6
PyXML-0.7.1-6
SysVinit-2.84-5
VFlib2-2.25.6-8
XFree86-Mesa-libGL-4.2.0-72
XFree86-font-utils-4.2.0-72
XFree86-libs-4.2.0-72
XFree86-truetype-fonts-4.2.0-72
XFree86-xfs-4.2.0-72
a2ps-4.13b-24
alchemist-1.0.24-4
anacron-2.3-23
apache-1.3.23-14
aspell-0.33.7.1-16
at-3.1.8-23
at-3.1.8-31
authconfig-4.2.12-3
authconfig-4.2.8-4
autoconf-2.13-17
autoconf-2.53-8
automake-1.4p5-4
automake-1.6.3-1
basesystem-8.0-1
bash-2.05b-5
bc-1.06-10
bdflush-1.5-21
bind-9.2.1-1.7x.2
bind-9.2.1-9
bind-utils-9.2.1-1.7x.2
bind-utils-9.2.1-9
binutils-2.11.93.0.2-11
binutils-2.13.90.0.2-2
bison-1.35-1
bison-1.35-4
byacc-1.9-19
byacc-1.9-22
bzip2-1.0.2-2
bzip2-1.0.2-5
bzip2-libs-1.0.2-2
bzip2-libs-1.0.2-5
chkconfig-1.3.5-3
chkconfig-1.3.6-3


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:

Comment 1 Jeff Johnson 2002-10-15 12:15:16 UTC
Did you ^C while updating? In rpm-4.1 packages
are erased at the end of a transaction, what's confusing
is that the (install) progress bar says 100%.

Comment 2 Chris Yeo 2002-10-15 16:11:15 UTC
For the most part I was unable to use ^C, I either had to use ^Z and kill the
process or login on another terminal and kill -9 the process.

Also, when it was hung doing what it was doing, I was able to rpm -Fvh another
rpm file and it would install.

Comment 3 Jeff Johnson 2002-10-16 18:53:44 UTC
Did you kill rpm while progress bar was at 100%?

If so, then please see bugzilla #73200, multiple
copies of headers will be left on abnormal termination,
clean up by erasing (with --allmatches) and reinstalling
packages.

Comment 4 Leonard den Ottolander 2004-04-17 21:05:52 UTC
Chris, did you kill the upgrade process? If so this report can be
closed a dup.


Comment 5 Jeremy Katz 2005-04-19 19:02:41 UTC
Closing due to inactivity.  Please reopen if you have further information to add
to this bug report.


Note You need to log in before you can comment on or make changes to this bug.